> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Check API health



## OpenAPI

````yaml /docs/openapi.yaml get /health
openapi: 3.0.3
info:
  title: BeeCrawl API
  version: 0.1.0
  description: Self-hostable web scraping, crawling, search, and extraction API.
servers:
  - url: https://api.beecrawl.dev
    description: BeeCrawl hosted deployment
  - url: http://127.0.0.1:8000
    description: Local development
security:
  - apiKey: []
tags:
  - name: Scraping
  - name: Discovery
  - name: Async jobs
  - name: Search
  - name: Extraction
paths:
  /health:
    get:
      tags:
        - Scraping
      summary: Check API health
      responses:
        '200':
          description: The API is healthy.
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                    example: true
      security: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-Web-Extract-Api-Key
      description: API key. X-Api-Key and Bearer authentication are also accepted.

````